> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer email address

> Get customer email address

<sup>Required permissions: `customer:read`</sup>



## OpenAPI

````yaml get /customer-email-addresses/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /customer-email-addresses/{id}:
    parameters: []
    get:
      tags:
        - CustomerEmail
      summary: Get customer email address
      description: |-
        Get customer email address

        <sup>Required permissions: `customer:read`</sup>
      operationId: getCustomerEmailAddress
      parameters:
        - name: id
          in: path
          description: CustomerEmail identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: CustomerEmail resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerEmail-CustomerEmailDetail'
            text/html:
              schema:
                $ref: '#/components/schemas/CustomerEmail-CustomerEmailDetail'
        '404':
          description: Resource not found
      deprecated: false
      security:
        - JWT:
            - customer:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /customer-email-addresses/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    CustomerEmail-CustomerEmailDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 00000000-0000-0000-0000-000000000000
          type: string
        email:
          format: email
          maxLength: 255
          externalDocs:
            url: https://schema.org/email
          example: john.doe@example.com
          type: string
        receiverName:
          maxLength: 255
          example: John Doe
          type: string
        isInvoiceEmail:
          description: Use this email for invoices, credits and financial documents.
          example: true
          type: boolean
        isDunningEmail:
          description: Use this email for dunning reminders and payment reminders.
          example: false
          type: boolean
        default:
          example: 'true'
          type: boolean
      required:
        - email
        - receiverName
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````